Last Comment Bug 706867 - "Future-proof" installed apps for future Gecko versions
: "Future-proof" installed apps for future Gecko versions
Status: VERIFIED FIXED
[qa!]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Web Apps (show other bugs)
: unspecified
: All All
: -- normal
: Firefox 14
Assigned To: Nobody; OK to take it and work on it
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-01 09:47 PST by Michael Hanson
Modified: 2016-02-04 15:00 PST (History)
5 users (show)
jsmith: in‑moztrap+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Michael Hanson 2011-12-01 09:47:43 PST
Currently, the application.ini written by the extension for a native app install hard-codes a Gecko MaxVersion.  This will cause breakage when Firefox catches up to, and passes, this version.

We should either remove the MaxVersion entirely (does that work?), wildcard it, or treat this as part of the required upgrade process - see bug 704589.
Comment 1 Bill Walker [:bwalker] [@wfwalker] 2011-12-07 17:44:35 PST
Mike, I need to know if this is a blocker for apps dev preview
Comment 2 Jason Smith [:jsmith] 2012-02-11 16:14:26 PST
A Pivotal Tracker story has been created for this Bug: http://www.pivotaltracker.com/story/show/24808711
Comment 3 Jason Smith [:jsmith] 2012-03-13 18:28:32 PDT
Not sure if this is applicable or not to the mozilla-central implementation. In https://github.com/michaelrhanson/mozilla-central/blob/master/webapprt/README.md I do see mention of the application.ini file, but not a mention of "gecko" and versions. Tim or Dan - Is this applicable to the mozilla-central implementation?
Comment 4 Tim Abraldes [:TimAbraldes] [:tabraldes] 2012-03-13 21:10:59 PDT
This is fixed in the m-c implementation, but it's definitely worth tracking/verifying.
Comment 5 Jason Smith [:jsmith] 2012-05-18 17:41:26 PDT
Verified on OS X 10.7 and Win 7 64-bit.

Note You need to log in before you can comment on or make changes to this bug.